---
- name: Deploy systemd services and timers
  ansible.builtin.template:
    src: jobs.{{ systemd_item }}.j2
    dest: "/etc/systemd/system/restic-{{ jobs.name }}.{{ systemd_item }}"
    owner: "root"
    group: "root"
    mode: '0644'
  loop:
    - service
    - timer
  loop_control:
    loop_var: systemd_item
  register: systemd_services_timers

- name: Deploy systemd targets
  ansible.builtin.template:
    src: jobs.target.j2
    dest: "/etc/systemd/system/restic-{{ jobs.name }}.target"
    owner: "root"
    group: "root"
    mode: '0644'

- name: Reload systemd daemon
  ansible.builtin.systemd:
    daemon_reload: true
  when:
    - systemd_services_timers.changed

- name: Enable systemd services and timers
  ansible.builtin.systemd:
    name: "restic-{{ jobs.name }}.{{ systemd_item }}"
    enabled: true
  loop:
    - service
    - timer
  loop_control:
    loop_var: systemd_item

- name: Restart systemd timers
  ansible.builtin.systemd:
    name: "restic-{{ jobs.name }}.timer"
    state: restarted
  when:
    - systemd_services_timers.changed

- name: Start systemd timers
  ansible.builtin.systemd:
    name: "restic-{{ jobs.name }}.timer"
    state: started
  when:
    - not systemd_services_timers.changed
...
